#include "sections.ih"

void Sections::insert(Element const &element) const
{
    if (element.type == TXT)
        d_out << "\\includetext{" << element.name << "}\n";
    else
        d_out << "\\includecode{" << 
                element.name.substr(element.name.find('/') + 1) << 
                "}{" << element.name << "}\n";
}
